View Issue Details

IDProjectCategoryView StatusLast Update
0018740MediaMonkey 5Burning / Disc Handlingpublic2022-06-02 21:41
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.3 
Target Version5.0.4Fixed in Version5.0.3 
Summary0018740: When MediaMonkey is associated with CDA Windows AutoPlay fails
DescriptionWhen MediaMonkey is associated with CDA Windows AutoPlay fails when a CD is inserted. Windows gives the error “This file does not have an app associated with it for performing this action. Please install an app, or if one is already installed, create an association in the Default Apps Settings Page”
Additional InformationTicket 3498
https://www.mediamonkey.com/forum/viewtopic.php?t=101079
TagsNo tags attached.
Fixed in build2626

Relationships

related to 0019146 closedpeke Play Now fails from File Explorer 

Activities

Ludek

2022-05-19 23:50

developer   ~0068184

Raised to urgent for triage/testing...

Ludek

2022-05-20 10:36

developer   ~0068186

Last edited: 2022-05-20 10:53

View 2 revisions

I can confirm thet "Rip Audio CD" MediaMonkey auto-play handler works fine, while "Play" MediaMonkey fails with the error that no app is associated.

Releated registry values:
Rip CD: Computer\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MediaMonkey5RipCDHandler
Play CD: Computer\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\MediaMonkey5PlayHandler

Somehow InvokeProgID SongsDB5.SDBDropTargetRip works, while SongsDB5.SDBDropTarget fails, to be found why...

EDIT: It seems that this values is missing in the registry:
Computer\HKEY_CLASSES_ROOT\SongsDB5.SDBDropTarget\Clsid

Ludek

2022-05-20 12:00

developer   ~0068187

Fixed in 5.0.4.2650 and merged into 5.0.3.2626

peke

2022-05-20 19:32

developer   ~0068197

Verified 2626

Inserting CD and PLAY works. Reg entry is present after 2626 install.